Bug Hunting Session
Bug 55702 - FORMATTING: Not displaying formula in bullet list at page break
Summary: FORMATTING: Not displaying formula in bullet list at page break
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.2.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Writer-Page-Break
  Show dependency treegraph
 
Reported: 2012-10-06 20:21 UTC by szekta
Modified: 2019-12-03 14:06 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
sample .odt with test case. Place your cursor before formula, try pressing backspace and space to see the problem (12.94 KB, application/vnd.oasis.opendocument.text)
2012-10-06 20:21 UTC, szekta
Details

Note You need to log in before you can comment on or make changes to this bug.
Description szekta 2012-10-06 20:21:33 UTC
Created attachment 68173 [details]
sample .odt with test case. Place your cursor before formula, try pressing backspace and space to see the problem

Problem description: 

Steps to reproduce:
1. create new document, portrait A4 with default margins
2. make new bullet list, add positions so the last one is on the end of page
3. fill last position with text so it takes almost whole line
4. insert long formula after text so it will be moved to next line and next page
5. place your caret (cursor) before formula and try to backspace and/or shift-enter

Sometimes the formula disappears from page layout.
It also happened on 3.6.1.

Platform (if different from the browser):
              
Browser: Mozilla/5.0 (Windows NT 5.1; rv:15.0) Gecko/20100101 Firefox/15.0.1
Comment 1 A (Andy) 2013-03-02 11:33:30 UTC
reproducible with LO 4.0.0.3 (Win7 Home, 64bit)

If I place the cursor before the formula and press backspace then the formula will be deleted.
Comment 2 QA Administrators 2015-02-19 15:30:52 UTC Comment hidden (obsolete)
Comment 3 szekta 2015-02-20 09:43:37 UTC
Reproductible in LO 4.4.0.3, although bit tricky to replicate using attached document.

Corrected steps (with default formatting of freshly installed Writer):
1. create empty bullet list with positions up to last line of page
2. on last member of list enter formula: sum left ( a over b over c over d right ), it should move itself to new page
3. place your cursor before formula and start placing "at" (@) symbol repeatedly
4. after 35th character, last line will move back to first page and break occurs between characters and formula. However, formula is not visible on 2nd page.
Comment 4 QA Administrators 2016-02-21 08:34:14 UTC Comment hidden (obsolete)
Comment 5 szekta 2016-02-21 10:04:35 UTC
Still in 5.1.0.3 @win10 x64, although partially fixed by default style.
To reproduce, one has to follow steps from comment 3, but also modify "Default" style, so it won't control widows and orphans.

After page break, formula makes itself invisible but selectable. It appears after double clicking on it and disappears again after leaving formula edit mode.

Formula also reappears after creating another bullet list entry, but disappears after removing it and editing its paragraph content.
Comment 6 QA Administrators 2017-03-06 14:51:37 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2019-12-03 14:06:46 UTC
Dear szekta,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug